falcon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Balu Vellanki (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (FALCON-785) Document upgrade path from 0.5 to 0.6
Date Tue, 18 Nov 2014 00:19:35 GMT

    [ https://issues.apache.org/jira/browse/FALCON-785?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14215471#comment-14215471
] 

Balu Vellanki edited comment on FALCON-785 at 11/18/14 12:18 AM:
-----------------------------------------------------------------

[~svenkat] and [~sriksun] :  

1. The patch says "0.6-incubating is backwards compatible with 0.5-incubating."  This should
be fixed in the patch.
 
2. Oozie version 4.0.1 is not compatible with java 1.7. 
{code}
[INFO] ------------------------------------------------------------------------
[INFO] Building Apache Oozie Main 4.0.1-falcon
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-enforcer-plugin:1.0:enforce (clean) @ oozie-main ---
[WARNING] Rule 1: org.apache.maven.plugins.enforcer.RequireJavaVersion failed with message:
Detected JDK Version: 1.7.0-67 is not in the allowed range [1.6.0,1.6.1000}].
{code}
3. I searched for all Jiras that had "backward-incompatible" label and found the following.
   - In Falcon 0.6, *.falcon.enableTLS is set to true by default. This would make falcon-server
start on https and port 15443. Users will have to either  set *.falcon.enableTLS=false OR
Update falcon.url in client.properties
   - Rest API endpoint for Graph lineage is changed from api/graphs/lineage/  to api/metadata/lineage

   - In 0.6, Authorization is disabled by default. But if the user decides to enable authorization,
the following is backwards incompatible.
      - Entities must have ACL. So all entities in configstore must be updated.
      - All cluster staging dirs should be owned by falcon and have 777 perms. All cluster
working dirs should be owned by falcon and should have 755 perms. 
   - In Falcon 0.6, all feed and process entity dirs under staging/working dirs are owned
by entity owners rather than falcon. 
      - Unless user patiently changes the ownership of these dirs for each schedulable entity,
the dir structure becomes backward incompatible.




was (Author: bvellanki):
[~svenkat] and [~sriksun] :  

- The patch says "0.6-incubating is backwards compatible with 0.5-incubating."  This should
be fixed in the patch.
 
- Oozie version 4.0.1 is not compatible with java 1.7. 
{code}
[INFO] ------------------------------------------------------------------------
[INFO] Building Apache Oozie Main 4.0.1-falcon
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-enforcer-plugin:1.0:enforce (clean) @ oozie-main ---
[WARNING] Rule 1: org.apache.maven.plugins.enforcer.RequireJavaVersion failed with message:
Detected JDK Version: 1.7.0-67 is not in the allowed range [1.6.0,1.6.1000}].
{code}
- I searched for all Jiras that had "backward-incompatible" label and found the following.
   - In Falcon 0.6, *.falcon.enableTLS is set to true by default. This would make falcon-server
start on https and port 15443. Users will have to either 
      - set *.falcon.enableTLS=false OR
      - Update falcon.url in client.properties
   - Rest API endpoint for Graph lineage is changed from api/graphs/lineage/  to api/metadata/lineage

   - In 0.6, Authorization is disabled by default. But if the user decides to enable authorization,
the following is backwards incompatible.
      - Entities must have ACL. So all entities in configstore must be updated.
      - All cluster staging dirs should be owned by falcon and have 777 perms. All cluster
working dirs should be owned by falcon and should have 755 perms. 
   - In Falcon 0.6, all feed and process entity dirs under staging/working dirs are owned
by entity owners rather than falcon. 
      - Unless user patiently changes the ownership of these dirs for each schedulable entity,
the dir structure becomes backward incompatible.



> Document upgrade path from 0.5 to 0.6
> -------------------------------------
>
>                 Key: FALCON-785
>                 URL: https://issues.apache.org/jira/browse/FALCON-785
>             Project: Falcon
>          Issue Type: Sub-task
>          Components: docs
>    Affects Versions: 0.6
>            Reporter: Venkatesh Seetharam
>            Assignee: Venkatesh Seetharam
>             Fix For: 0.6, 0.7
>
>         Attachments: FALCON-785.patch
>
>




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message